"use strict";
// https://tools.ietf.org/html/rfc6238
Object.defineProperty(exports, "__esModule", { value: true });
const hotp_1 = require("./hotp");
function default_1(parameters) {
    let { secret, step, time, initialTime, codeDigits, hmacAlgorithm } = parameters;
    if (!secret)
        throw new Error('no secret value');
    if (!step)
        step = 30;
    if (!time)
        time = new Date().getTime() / 1000;
    if (!initialTime)
        initialTime = 0;
    if (!hmacAlgorithm)
        hmacAlgorithm = 'sha512';
    const movingFactor = Math.floor((time - initialTime) / step);
    return hotp_1.default({
        secret,
        movingFactor,
        codeDigits,
        hmacAlgorithm
    });
}
exports.default = default_1;
